Bug 19817 - GUI rhn_register requires gnome-core
Summary: GUI rhn_register requires gnome-core
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration   
(Show other bugs)
Version: unspecified
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 17:34 UTC by Tim Waugh
Modified: 2015-01-07 23:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-04 17:09:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-10-25 17:34:37 UTC
On a machine with X installed but not gnome-core, rhn_register fails with a
traceback error.  Installing gnome-core, or unsetting DISPLAY, makes it
work.

It would be neat if it could figure out that the GUI isn't going to work
and pretend that DISPLAY is unset if it comes across this situation.

Comment 1 Jay Turner 2001-01-18 17:16:39 UTC
I have written a python wrapper for rhn_register which is currently in testing. 
Should certainly solve this little issue (jkt; 1/18/01)

Comment 2 Jay Turner 2001-02-04 17:09:07 UTC
Reassigning to Adrian.  This functionality should be present in the next release
of rhn_register, as it is working in CVS currently.


Note You need to log in before you can comment on or make changes to this bug.